BOTCH-PRINT-STATS(1)

NAME
botch-print-stats - find cycles, selfcycles, amount of cycles through edges, feedback arc and vertex set, strong articulation points and bridges

SYNOPSIS

botch-print-stats [options] buildgraph.xml srcgraph.xml Packages Sources

DESCRIPTION
Output statistics about the graphs in JSON format on standard output.

OPTIONS

--version
    show program's version and exit

-h, --help
    show this help message and exit

-v, --verbose
    print additional information

--quiet
    do no print any messages

--max-length=INT
    maximum length of found cycles (default=2)

--max-length-fas=INT
    maximum length of found cycles for fas search (default=4)

--remove-weak=FILE
    path to list of weak build dependencies

--sapsb
    calculate strong articulation points and strong bridges

--remove-reduced=FILES
    remove droppable build dependencies supplied by comma separated list of reduced dep files.

-A, --available=FILE
    List of available packages (arch:all, crossed...) in control file format

--deb-drop-b-d-indep
    Drop Build-Depends-Indep dependencies

--deb-drop-b-d-arch
    Drop Build-Depends-Arch dependencies

--allowsrcmismatch
    If a binary package is without a source package but there is a source package of same name but different version, match this binary package to that source package.

--fg=PKGS
    Additional Packages lists that are checked and used for resolving dependencies (can be repeated)

--bg=PKGS
    Additional Packages lists that are NOT checked but used for resolving dependencies (can be repeated)

--deb-native-arch=ARCH
    Native architecture ARCH

--deb-host-arch=arch
    Host architecture arch. Defaults to native architecture.

--deb-foreign-archs=archs
    Comma-separated foreign architectures in addition to native and host architectures.

BUGS
See <http://bugs.debian.org/botch>.

SEE ALSO
Debian doc-base Manual /usr/share/doc/botch/wiki/Home.html

AUTHOR
This man page was written by Johannes Schauer. Botch is written by Johannes Schauer and Pietro Abate.

COPYRIGHT
Copyright 2012-2014 Johannes Schauer, Pietro Abate

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version. A special linking exception to the GNU Lesser General Public License applies to this library, see the COPYING file for more information.